package domain

type AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult struct {
	/*
	   操作结果信息摘要     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Datas *[]AlibabaHmMarketingItempoolItemRemoveAsyncItemPoolSku `json:"datas,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult) SetDatas(v []AlibabaHmMarketingItempoolItemRemoveAsyncItemPoolSku) *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
